Index: main/app.c
===================================================================
--- main/app.c	(revision 48372)
+++ main/app.c	(working copy)
@@ -1,5 +1,5 @@
 /*
- * Asterisk -- An open source telephony toolkit.
+ * Asterisk -- An open source telephony toolkit. {
  *
  * Copyright (C) 1999 - 2005, Digium, Inc.
  *
@@ -115,14 +115,16 @@
 	if (maxlen)
 		s[0] = '\0';
 
-	if (ast_strlen_zero(prompt))
-		return -1;
+	if (!prompt)
+		prompt="";
 
 	filename = ast_strdupa(prompt);
 	while ((front = strsep(&filename, "&"))) {
-		res = ast_streamfile(c, front, c->language);
-		if (res)
-			continue;
+		if (!ast_strlen_zero(front)) {
+			res = ast_streamfile(c, front, c->language);
+			if (res)
+				continue;
+		}
 		if (ast_strlen_zero(filename)) {
 			/* set timeouts for the last prompt */
 			fto = c->pbx ? c->pbx->rtimeout * 1000 : 6000;
